Package org.springframework.context.weaving

# Interface LoadTimeWeaverAware

All Superinterfaces:
  `org.springframework.beans.factory.Aware`

All Known Implementing Classes:
  `AspectJWeavingEnabler`

public interface LoadTimeWeaverAware extends org.springframework.beans.factory.Aware
Interface to be implemented by any object that wishes to be notified of the application context's default `LoadTimeWeaver`.

Since:
  2.5
Author:
  Juergen Hoeller, Chris Beams
See Also:
  - `ConfigurableApplicationContext.LOAD_TIME_WEAVER_BEAN_NAME`

## Method Summary

Modifier and Type
Method
Description
`void`
`setLoadTimeWeaver(LoadTimeWeaver loadTimeWeaver)`
Set the `LoadTimeWeaver` of this object's containing `ApplicationContext`.

## Method Details

### setLoadTimeWeaver

void setLoadTimeWeaver(LoadTimeWeaver loadTimeWeaver)
Set the `LoadTimeWeaver` of this object's containing `ApplicationContext`.

Invoked after the population of normal bean properties but before an initialization callback like `InitializingBean's` `afterPropertiesSet()` or a custom init-method. Invoked after `ApplicationContextAware's` `setApplicationContext(..)`.

NOTE: This method will only be called if there actually is a `LoadTimeWeaver` available in the application context. If there is none, the method will simply not get invoked, assuming that the implementing object is able to activate its weaving dependency accordingly.

Parameters:
  `loadTimeWeaver` - the `LoadTimeWeaver` instance (never `null`)
See Also:
  - `InitializingBean.afterPropertiesSet()`
  - `ApplicationContextAware.setApplicationContext(org.springframework.context.ApplicationContext)`